
      SUBROUTINE HEADER(IO,NX,NY,NZ,NC,NA)
C   ==================================================================
C   ===                                                            ===
C   ===               Standard Fortran77 version                   ===
C   ===                                                            ===
C   ==================================================================

      WRITE(IO,*)'  ================================================='
      WRITE(IO,*)'  ===                                           ==='
      WRITE(IO,*)'  ===   GENESIS Distributed Memory Benchmarks   ==='
      WRITE(IO,*)'  ===                                           ==='
      WRITE(IO,*)'  ===                  MD1                      ==='
      WRITE(IO,*)'  ===                                           ==='
      WRITE(IO,*)'  ===     Program:   Molecular Dynamics         ==='
      WRITE(IO,*)'  ===     Version:   Standard Fortran 77        ==='
      WRITE(IO,*)'  ===     Author:    Mark Pinches               ==='
      WRITE(IO,*)'  ===     Modified:  Vladimir Getov             ==='
      WRITE(IO,*)'  ===     Update:    April 1992; Release: 2.1   ==='
      WRITE(IO,*)'  ===                                           ==='
      WRITE(IO,*)'  ================================================='
      WRITE(IO,*)

      CALL SETDAT(IO)

      CALL SETDTL(IO)
      WRITE(IO,*)

      WRITE(6,*)
      WRITE(6,*)'The calculation proceeds ...Please, wait.'
      WRITE(6,*)

      WRITE(IO,*)
      WRITE(IO,*)'   ********************************************'
      WRITE(IO,*)'   *                                          *'
      WRITE(IO,*)'   *     PRESENT PROBLEM SIZE INFORMATION     *'
      WRITE(IO,*)'   *                                          *'
      WRITE(IO,*)'   ********************************************'
      WRITE(IO,*)
      WRITE(IO,*) '**** NUMBER OF PROCESSORS IN X DIR = ',NX,' ****'
      WRITE(IO,*) '**** NUMBER OF PROCESSORS IN Y DIR = ',NY,' ****'
      WRITE(IO,*) '**** NUMBER OF PROCESSORS IN Z DIR = ',NZ,' ****'
      WRITE(IO,*)
      WRITE(IO,*) '****              NC               = ',NC,' ****'
      WRITE(IO,*) '**** NUMBER OF ATOMS BEING USED    = ',NA,' ****'
      WRITE(IO,*)


      END
