  =================================================
  ===                                           ===
  ===   GENESIS Distributed Memory Benchmarks   ===
  ===                                           ===
  ===                  MD1                      ===
  ===                                           ===
  ===     Program:   Molecular Dynamics         ===
  ===     Version:   Standard Fortran 77        ===
  ===     Author:    Mark Pinches               ===
  ===     Modified:  Vladimir Getov             ===
  ===     Update:    April 1992; Release: 2.1   ===
  ===                                           ===
  =================================================

   This run started Tue May 18 17:19:32 1993      
   Run on Meiko CS with MK-083 nodes
   Compiler version :mf77 Compiler version 1.21
   Operating system :CsTools version 1.20
   Benchmarker was Vladimir Getov 


   ********************************************
   *                                          *
   *     PRESENT PROBLEM SIZE INFORMATION     *
   *                                          *
   ********************************************

**** NUMBER OF PROCESSORS IN X DIR =   1 ****
**** NUMBER OF PROCESSORS IN Y DIR =   1 ****
**** NUMBER OF PROCESSORS IN Z DIR =   1 ****

****              NC               =   5 ****
**** NUMBER OF ATOMS BEING USED    =   500 ****

     NUMBER OF STEPS             600
     NUMBER OF EQUIL STEPS       500
     OUTPUT FREQUENCY            100
     GLOBAL RESCALE FREQUENCY    0
     TEMPERATURE                  0.80000000000000
     DENSITY                      0.75000000000000
     POTENTIAL CUTOFF              1.1224620483094
     TIMESTEP                      1.0000000000000D-02

 ** MOLECULAR DYNAMICS BEGINS ** 


 TIMESTEP  ..ENERGY..  ..KINETIC..  ..POTENT..  .PRESSURE.  ..TEMPER..  
      100    1.787788    1.215061    0.572727    4.621080    0.811664
      200    1.730944    1.195565    0.535380    4.396534    0.798640
      300    1.732644    1.189772    0.542872    4.478887    0.794771
      400    1.689112    1.185432    0.503680    4.206862    0.791872
      500    1.730696    1.205056    0.525640    4.359108    0.804981
      600    1.723156    1.173757    0.549399    4.499466    0.784073

CALCULATION FINISHED.

Data type - DOUBLE PRECISION
TOTAL NUMBER OF NOMINAL FLOPS  =   110506 flop
NUMBER OF TIME-STEPS           =   100 tstep

********************************************

ELAPSED TIME            = 26.612 s
TEMPORAL PERFORMANCE    =  3.758 tstep/s
SIMULATION PERFORMANCE  =  0.113 sim-ps/s
BENCHMARK PERFORMANCE   =  0.415 Mflop/s


********************************************
